/* Copyright 2024 by COG9 Enterprises LLC
 * All rights reserved.
 * Title: pubcomp.c
 * Author: Jed Marti
 * Description: Completion of a publication request.
 * Created: Mon Dec  2 06:42:23 2024
 * Revision History:
 */

#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>

#include "mqtt.h"

// Noise level.
extern uint8_t Noise;

void mqttPubComp(uint8_t pt, uint8_t *pkt)
/*     We've received a publication completion message. Just trace it, read the bytes and ignore.
 *   Only part of QOS 2.
 * Parameters:
 *   pt: the packet descriptor (ignored)
 *   pkt: The packet byte if you want (ignored).
 * External References: 
 *   Noise: if > 0, then show the packet name.
 * Returned values: none
 * Errors detected: none
 */
{
  uint16_t  id;

  id = ngetch() << 8;            // Packet identifier.
  id |= ngetch();
  if (Noise > 0) printf("PUBCOMP packet ID 0x%04X\n", id);

}


// EOF
